import numeric.*;

public class Exc0203m01 {
	public static void main(String[] args) {
		EquationSolver solver = new EquationSolver();
		solver.setTolerance(1E-7);
		solver.setNumIterations(10);

		Differentiable f = new DiffFunc();

		new EquationDemoView("Metoda e Newton-it", solver);

		EquationDemoView.setNumSignificantDigits(10);

		try {
			solver.newton(f, (Math.PI + 6) / 12);
		} catch (ArithmeticException e) {
			System.err.println(e.getMessage());
		}

}

	private static class DiffFunc implements Differentiable {
		public double value(double x) {
			return x - Math.sin(2 * x);
		}

		public double derivative(double x) {
			return 1 - 2 * Math.cos(2 * x);
		}
	}
}
