import numeric.*;

public class Exm030105 {
	public static void main(String[] args) {
		double[] x = { 1.0, 1.3, 1.6, 1.9, 2.2, 2.5 };
		TestFunction f = new TestFunction();

		Matrix m = new Matrix(2, x.length);
		for (int j = 0; j < x.length; j++) {
			m.set(0, j, x[j]);
			m.set(1, j, f.value(x[j]));
		}

		double x0 = 1.5;

		Matrix q = AlgebraicPolynomial.neville(x0, m);
		double val = q.get(5, 5);

		MatrixView.setNumSignificantDigits(7);
		new MatrixView(q);
		
		System.out.println("q_55 = " + val);
	}

	private static class TestFunction implements Function {
		public double value(double x) {
			double y = 0;
			if (x == 1.0) {
				y = 0.7651977;
			} else if (x == 1.3) {
				y = 0.6200860;
			} else if (x == 1.6) {
				y = 0.4554022;
			} else if (x == 1.9) {
				y = 0.2818186;
			} else if (x == 2.2) {
				y = 0.1103623;
			} else if (x == 2.5) {
				y = -0.0483838;
			} else {
				throw new RuntimeException("Undefined function value.");
			}
			return y;
		}
	}
}
