/**
 * <p>File: Exm060202.java</p>
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: January 2021</p>
 * @author Faton M. Berisha
 * @version 7.0.0
 */

import numeric.*;

public class Exm060202 {
	public static void main (String[] args) {
		double[][] coeff =
		{{ 0.003,  59.14, 59.17},
		 { 5.291,  -6.13, 46.78}};
	

//		double[][] coeff =
//		{{ 0.01,  10, 20.1},
//		 { 1,     -4,  2}};

		LinearSystemSolver solver1 = new LinearSystemSolver(coeff);
		new LinearSystemEliminationDemoView("Pa pivotim", solver1);
		try {
			solver1.gauss();
		} catch (ArithmeticException e) {
			System.err.println(e.getMessage());
		}


		LinearSystemSolver solver2 = new LinearSystemSolver(coeff);
		new LinearSystemEliminationDemoView("Me pivotim parcial", solver2);
		solver2.setPivoting(Matrix.PARTIAL_PIVOTING);
		try {
			solver2.gauss();
		} catch (ArithmeticException e) {
			System.err.println(e.getMessage());
		}
		
/*		Matrix matrix = new MatrixPartialPivoting(coeff);
		LinearSystemSolver solver2 = new LinearSystemSolver(matrix);
		new LinearSystemEliminationDemoView("Pivotimi parcial", solver2);
		solver2.gauss();
*/
	}

/*	private static class MatrixPartialPivoting extends Matrix {
		public MatrixPartialPivoting(double[][] val) {
			super(val);
		}
		
		protected int pivoting(int diag) {
			return partialPivoting(diag);
		}
	}
*/
}
