/**
 * <p>File: DifferentiableVectorValued.java</p>
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: April 2022</p>
 * @author Faton M. Berisha
 * @version 7.0.0
 */

package numeric;

/**
 * Interface for a differentiable vector valued function.
 */
public interface DifferentiableVectorValued extends VectorValued {
	/**
	 * Returns the value of the total derivative.
	 * 
	 * @param x
	 *            the <code>double[]</code> argument
	 * @return the <code>double[][]</code> value of the total derivative
	 */
	public double[][] derivative(double[] x);
}
