/**
 * <p>File: Function.java</p>
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: April 2022</p>
 * @author Faton M. Berisha
 * @version 7.0.0
 */

package numeric;

/**
 * Interface for a function of a real variable.
 * Similar to <code>Function<Double></code>
 * in <coed>java.util.function</code> since Java 8. 
 */
public interface Function {
	/**
	 * Returns a value of the function.
	 * 
	 * @param x
	 *            the argument
	 * @return the value
	 */
	public double value(double x);
}
