/**
 * <p>File: DifferentiableFunction.java</p>
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: January 2016</p>
 * @author Faton M. Berisha
 * @version 6.0.0
 */

package numeric;

import javax.swing.*;

/**
 * Reads and sets a matrix.
 */
public class MatrixReader {

	private Matrix matrix;

	/**
	 * Creates a matrix reader.
	 * 
	 * @param mat
	 *            the <code>Matrix</code> to be read
	 */
	public MatrixReader(Matrix matrix) {
		this.matrix = matrix;
	}

	/**
	 * Reads and sets the elements of the <code>Matrix</code>.
	 */
	public void readElements() {
		int rows = matrix.getNumRows();
		int cols = matrix.getNumCols();
		for (int i = 0; i < rows; i++) {
			for (int j = 0; j < cols; j++) {
				String input = JOptionPane.showInputDialog("Termi (" + (i + 1)
						+ "," + (j + 1) + "):");
				matrix.set(i, j, new Double(input).doubleValue());
			}
		}
	}

	/**
	 * Reads and sets a new size of the <code>Matrix</code>.
	 */
	public void readSize() {
		try {
			String input = JOptionPane.showInputDialog("Numri i rreshtave:");
			int numRows = new Integer(input).intValue();
			input = JOptionPane.showInputDialog("Numri i shtyllave:");
			int numCols = new Integer(input).intValue();
			matrix.setSize(numRows, numCols);
		} catch (NumberFormatException e) {
			// AbstractSystemSolver.err.println(e);
			JOptionPane.showMessageDialog(null, "Input jokorrekt", "Gabim!",
					JOptionPane.ERROR_MESSAGE);
			System.exit(1);
		}
	}
}
