/**
 * <p>File: ParametricFunction.java</p>
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: January 2015</p>
 * @author Faton M. Berisha
 * @version 6.0.0
 */

package numeric;

/**
 * Interface for a parametric function.
 */
public interface ParametricFunction {
	/**
	 * Returns a value of the x-coordinate of the function.
	 * 
	 * @param t
	 *            the argument
	 * @return the value
	 */
	public double valueX(double t);

	/**
	 * Returns a value of the y-coordinate of the function.
	 * 
	 * @param t
	 *            the argument
	 * @return the value
	 */
	public double valueY(double t);
}
