/**
 * <p>File: VectorFunction.java</p>
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: April 2022</p>
 * @author Faton M. Berisha
 * @version 7.0.0
 */

package numeric;

public class VectorFunction implements VectorValued {
	private MultivariateFunction[] component;
	
	public VectorFunction(
			MultivariateFunction[] component) {
		this.component = component;
	}

	@Override
	public double[] value(double[] x) {
		double[] answer = new double[component.length];
		for ( int i = 0; i < component.length; i++ ) {
			answer[i] = component[i].value(x);
		}
		return answer;
	}
}
